---
title: Get Shipments
slug: fourkites-api-reference/get-shipments
description: Learn how to make an HTTP GET request in Go, Ruby, and Python to retrieve shipment data from the FourKites API. This document provides code examples and explains the response attributes, including shipment ID, location, status, and stakeholders. Discover
icon: {"apiMethod":"GET"}
createdAt: 2023-04-14T05:18:47.000Z
---

This API returns the **paginated list of shipments**. This API supports multiple filters/query parameters as described below. All of these filters/query parameters are **optional** and can be applied as necessary. However, **createdStartDate** & **createdEndDate** parameters are mandatory for Ocean/Intermodal loads.

:::hint{type="info"}
### Rate Limit

**1 request per second**
:::

:::hint{type="info"}
### Format Supported

**JSON**
:::

:::hint{type="info"}
### Authenticated Resource

**API Key**
:::

For more information on Authentication, [click here](https://docs.fourkites.com/api-reference/authentication).&#x20;

:::hint{type="info"}
This endpoint includes shipments **shared** with your account by other companies on the FourKites network. Shared loads are returned alongside your own shipments and are identifiable via the `shipper` field in the response. This behavior is consistent across both `GET /shipments` and `GET /shipment-details/{id}`.
:::

:::hint{type="warning"}
**Get Shipments API** has a record limit of returning `5500` shipments. If there are more than 5500 shipments, you will receive an `Allowed number of results exceeded, Please refine your search.` error around the `55th` page as each page will possess a maximum of 100 shipments.&#x20;
:::

:::ApiMethodV2
```json
{
  "name": "Production",
  "method": "GET",
  "url": "https://api.fourkites.com/shipments?customerId=SOME_ARRAY_VALUE&pickupStartDate=SOME_STRING_VALUE&pickupEndDate=SOME_STRING_VALUE&deliveryStartDate=SOME_STRING_VALUE&deliveryEndDate=SOME_STRING_VALUE&shipTo=SOME_ARRAY_VALUE&pickupStopName=SOME_ARRAY_VALUE&terminalStopName=SOME_ARRAY_VALUE&deliveryStopName=SOME_ARRAY_VALUE&page=SOME_INTEGER_VALUE&perPage=SOME_INTEGER_VALUE&status=SOME_STRING_VALUE&orderNumber=SOME_STRING_VALUE",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "k_jh5O7mGyd7ofxcnRnyP",
        "language": "curl",
        "code": "curl --location 'https://api.fourkites.com/shipments?customerId=SOME_ARRAY_VALUE&pickupStartDate=SOME_STRING_VALUE&pickupEndDate=SOME_STRING_VALUE&deliveryStartDate=SOME_STRING_VALUE&deliveryEndDate=SOME_STRING_VALUE&shipTo=SOME_ARRAY_VALUE&pickupStopName=SOME_ARRAY_VALUE&terminalStopName=SOME_ARRAY_VALUE&deliveryStopName=SOME_ARRAY_VALUE&page=SOME_INTEGER_VALUE&perPage=SOME_INTEGER_VALUE&status=SOME_STRING_VALUE&orderNumber=SOME_STRING_VALUE' \\\n--header 'apikey: REPLACE_KEY_VALUE'",
        "customLabel": ""
      },
      {
        "id": "58v7xI71aKYcDXbX5AB2m",
        "language": "java",
        "code": "OkHttpClient client = new OkHttpClient().newBuilder()\n  .build();\nMediaType mediaType = MediaType.parse(\"text/plain\");\nRequestBody body = RequestBody.create(mediaType, \"\");\nRequest request = new Request.Builder()\n  .url(\"https://api.fourkites.com/shipments?customerId=SOME_ARRAY_VALUE&pickupStartDate=SOME_STRING_VALUE&pickupEndDate=SOME_STRING_VALUE&deliveryStartDate=SOME_STRING_VALUE&deliveryEndDate=SOME_STRING_VALUE&shipTo=SOME_ARRAY_VALUE&pickupStopName=SOME_ARRAY_VALUE&terminalStopName=SOME_ARRAY_VALUE&deliveryStopName=SOME_ARRAY_VALUE&page=SOME_INTEGER_VALUE&perPage=SOME_INTEGER_VALUE&status=SOME_STRING_VALUE&orderNumber=SOME_STRING_VALUE\")\n  .method(\"GET\", body)\n  .addHeader(\"apikey\", \"REPLACE_KEY_VALUE\")\n  .build();\nResponse response = client.newCall(request).execute();",
        "customLabel": ""
      },
      {
        "id": "7kEefjV7KYd79ffHSG2fH",
        "language": "javascript",
        "code": "var settings = {\n  \"url\": \"https://api.fourkites.com/shipments?customerId=SOME_ARRAY_VALUE&pickupStartDate=SOME_STRING_VALUE&pickupEndDate=SOME_STRING_VALUE&deliveryStartDate=SOME_STRING_VALUE&deliveryEndDate=SOME_STRING_VALUE&shipTo=SOME_ARRAY_VALUE&pickupStopName=SOME_ARRAY_VALUE&terminalStopName=SOME_ARRAY_VALUE&deliveryStopName=SOME_ARRAY_VALUE&page=SOME_INTEGER_VALUE&perPage=SOME_INTEGER_VALUE&status=SOME_STRING_VALUE&orderNumber=SOME_STRING_VALUE\",\n  \"method\": \"GET\",\n  \"timeout\": 0,\n  \"headers\": {\n    \"apikey\": \"REPLACE_KEY_VALUE\"\n  },\n};\n\n$.ajax(settings).done(function (response) {\n  console.log(response);\n});",
        "customLabel": ""
      },
      {
        "id": "4WjlsLkjzKhzWRrdUqwgG",
        "language": "swift",
        "code": "var request = URLRequest(url: URL(string: \"https://api.fourkites.com/shipments?customerId=SOME_ARRAY_VALUE&pickupStartDate=SOME_STRING_VALUE&pickupEndDate=SOME_STRING_VALUE&deliveryStartDate=SOME_STRING_VALUE&deliveryEndDate=SOME_STRING_VALUE&shipTo=SOME_ARRAY_VALUE&pickupStopName=SOME_ARRAY_VALUE&terminalStopName=SOME_ARRAY_VALUE&deliveryStopName=SOME_ARRAY_VALUE&page=SOME_INTEGER_VALUE&perPage=SOME_INTEGER_VALUE&status=SOME_STRING_VALUE&orderNumber=SOME_STRING_VALUE\")!,timeoutInterval: Double.infinity)\nrequest.addValue(\"REPLACE_KEY_VALUE\", forHTTPHeaderField: \"apikey\")\n\nrequest.httpMethod = \"GET\"\n\nlet task = URLSession.shared.dataTask(with: request) { data, response, error in \n  guard let data = data else {\n    print(String(describing: error))\n    return\n  }\n  print(String(data: data, encoding: .utf8)!)\n}\n\ntask.resume()\n",
        "customLabel": ""
      },
      {
        "id": "LocrVl_id1jT6Hqg7AIIu",
        "language": "csharp",
        "code": "var client = new HttpClient();\nvar request = new HttpRequestMessage(HttpMethod.Get, \"https://api.fourkites.com/shipments?customerId=SOME_ARRAY_VALUE&pickupStartDate=SOME_STRING_VALUE&pickupEndDate=SOME_STRING_VALUE&deliveryStartDate=SOME_STRING_VALUE&deliveryEndDate=SOME_STRING_VALUE&shipTo=SOME_ARRAY_VALUE&pickupStopName=SOME_ARRAY_VALUE&terminalStopName=SOME_ARRAY_VALUE&deliveryStopName=SOME_ARRAY_VALUE&page=SOME_INTEGER_VALUE&perPage=SOME_INTEGER_VALUE&status=SOME_STRING_VALUE\");\nrequest.Headers.Add(\"apikey\", \"REPLACE_KEY_VALUE\");\nvar response = await client.SendAsync(request);\nresponse.EnsureSuccessStatusCode();\nConsole.WriteLine(await response.Content.ReadAsStringAsync());\n",
        "customLabel": ""
      },
      {
        "id": "EiNxUCb7L6XSXKYQpDIFU",
        "language": "go",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"net/http\"\n  \"io/ioutil\"\n)\n\nfunc main() {\n\n  url := \"https://api.fourkites.com/shipments?customerId=SOME_ARRAY_VALUE&pickupStartDate=SOME_STRING_VALUE&pickupEndDate=SOME_STRING_VALUE&deliveryStartDate=SOME_STRING_VALUE&deliveryEndDate=SOME_STRING_VALUE&shipTo=SOME_ARRAY_VALUE&pickupStopName=SOME_ARRAY_VALUE&terminalStopName=SOME_ARRAY_VALUE&deliveryStopName=SOME_ARRAY_VALUE&page=SOME_INTEGER_VALUE&perPage=SOME_INTEGER_VALUE&status=SOME_STRING_VALUE\"\n  method := \"GET\"\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, nil)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  req.Header.Add(\"apikey\", \"REPLACE_KEY_VALUE\")\n\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := ioutil.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}",
        "customLabel": ""
      },
      {
        "id": "9XvWOqVmdwU_EFh5KN5Y4",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.fourkites.com/shipments?customerId=SOME_ARRAY_VALUE&pickupStartDate=SOME_STRING_VALUE&pickupEndDate=SOME_STRING_VALUE&deliveryStartDate=SOME_STRING_VALUE&deliveryEndDate=SOME_STRING_VALUE&shipTo=SOME_ARRAY_VALUE&pickupStopName=SOME_ARRAY_VALUE&terminalStopName=SOME_ARRAY_VALUE&deliveryStopName=SOME_ARRAY_VALUE&page=SOME_INTEGER_VALUE&perPage=SOME_INTEGER_VALUE&status=SOME_STRING_VALUE\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"apikey\"] = \"REPLACE_KEY_VALUE\"\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      },
      {
        "id": "Uf8FHN1GPNoLm39tuJ-bv",
        "language": "python",
        "code": "import http.client\n\nconn = http.client.HTTPSConnection(\"api.fourkites.com\")\npayload = ''\nheaders = {\n  'apikey': 'REPLACE_KEY_VALUE'\n}\nconn.request(\"GET\", \"/shipments?customerId=SOME_ARRAY_VALUE&pickupStartDate=SOME_STRING_VALUE&pickupEndDate=SOME_STRING_VALUE&deliveryStartDate=SOME_STRING_VALUE&deliveryEndDate=SOME_STRING_VALUE&shipTo=SOME_ARRAY_VALUE&pickupStopName=SOME_ARRAY_VALUE&terminalStopName=SOME_ARRAY_VALUE&deliveryStopName=SOME_ARRAY_VALUE&page=SOME_INTEGER_VALUE&perPage=SOME_INTEGER_VALUE&status=SOME_STRING_VALUE\", payload, headers)\nres = conn.getresponse()\ndata = res.read()\nprint(data.decode(\"utf-8\"))",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "k_jh5O7mGyd7ofxcnRnyP"
  },
  "results": {
    "languages": [
      {
        "id": "sLjjawP7UJRdzcbxUSSDz",
        "language": "200",
        "code": "{\n  \"data\": {\n    \"shipments\": [\n      {\n        \"fourKitesShipmentID\": \"471175003\",\n        \"loadNumber\": \"CB-check2\",\n        \"status\": \"Awaiting Tracking Info\",\n        \"priority\": \"normal\",\n        \"identifiers\": {\n          \"purchaseOrderNumbers\": [\n            \"173910 7469813659\"\n          ],\n          \"referenceNumbers\": [\n            \"GLOG Refnum: C003859078\",\n            \"9002643011-P92\"\n          ]\n        },\n        \"latestLocation\": null,\n        \"stakeholders\": {\n          \"shipper\": \"rose_shipper\"\n        },\n        \"SCAC\": null,\n        \"totalDistanceInMeters\": 475350,\n        \"remainingDistanceInMeters\": null,\n        \"fourKitesETA\": null,\n        \"timeZone\": \"Europe/Rome\",\n        \"numberOfDeliveryStops\": 1,\n        \"stops\": [\n          {\n            \"fourKitesStopID\": \"1250930739\",\n            \"stopType\": \"PICKUP\",\n            \"status\": \"Not Tracking\",\n            \"fourKitesETA\": null,\n            \"stopName\": \"FM ITALIA, CAPRIATA D'ORBA,\",\n            \"city\": \"Capriata d'Orba\",\n            \"state\": null,\n            \"country\": \"IT\",\n            \"externalAddressID\": \"00PL00S4FM\",\n            \"latitude\": 44.7244,\n            \"longitude\": 8.66015,\n            \"timeZone\": \"Europe/Rome\",\n            \"schedule\": {\n              \"appointmentTime\": \"2024-12-23T23:00:00+01:00\"\n            },\n            \"sequence\": 1,\n            \"arrivalTime\": null,\n            \"departureTime\": null,\n            \"pallets\": [\n              {\n                \"parts\": [\n                  {\n                    \"quantity\": null,\n                    \"weight\": null\n                  }\n                ]\n              }\n            ],\n            \"postalCode\": \"28376\"\n          },\n          {\n            \"fourKitesStopID\": \"1250930740\",\n            \"stopType\": \"DELIVERY\",\n            \"status\": \"Not Tracking\",\n            \"stopName\": \"SMA XPO SUPPLY CHAIN ITALY S.P.A, OSIMO, AN\",\n            \"city\": \"Aspio Terme\",\n            \"state\": \"Marche\",\n            \"country\": \"IT\",\n            \"externalAddressID\": \"0000729113\",\n            \"latitude\": 43.5314028,\n            \"longitude\": 13.5111304,\n            \"timeZone\": \"Europe/Rome\",\n            \"schedule\": {\n              \"appointmentTime\": \"2024-12-23T23:00:00+01:00\",\n              \"wantTime\": \"2024-12-23T23:00:00+01:00\"\n            },\n            \"sequence\": 2,\n            \"arrivalTime\": null,\n            \"departureTime\": null,\n            \"pallets\": [\n              {\n                \"parts\": [\n                  {\n                    \"quantity\": null,\n                    \"weight\": null\n                  }\n                ]\n              }\n            ],\n            \"postalCode\": \"17241\"\n          }\n        ],\n        \"bookingNumber\": \"testBN\",\n        \"billOfLading\": \"testBOL\"\n      }\n    ],\n    \"page\": 1,\n    \"perPage\": 10,\n    \"totalCount\": 1\n  },\n  \"requestId\": \"crr5eo8ikb5oemug8iig\"\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "sLjjawP7UJRdzcbxUSSDz"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [
      {
        "name": "page",
        "kind": "optional",
        "type": "integer",
        "description": "Returns results associated with the given page number.",
        "children": []
      },
      {
        "name": "perPage",
        "kind": "optional",
        "type": "integer",
        "description": "The maximum results to be returned by the List API. The minimum value is 1 and the maximum value is 100.",
        "children": []
      },
      {
        "name": "customerId",
        "kind": "optional",
        "type": "array",
        "description": "Filter loads by a customer (shipper) given ID associated with a load.",
        "children": []
      },
      {
        "name": "pickupStartDate",
        "kind": "optional",
        "type": "string",
        "description": "Filter loads by their pickup appointment range. The value denotes that the loads returned should have pickup appointments greater than or equal to the pickupStartDate. The maximum supported value is +/- 90 days from the current date.",
        "children": []
      },
      {
        "name": "pickupEndDate",
        "kind": "optional",
        "type": "string",
        "description": "Filter loads by their pickup appointment range. The value denotes that the loads returned should have pickup appointments less than or equal to the pickupEndDate. The maximum supported value is +/- 90 days from the current date.",
        "children": []
      },
      {
        "name": "deliveryStartDate",
        "kind": "optional",
        "type": "string",
        "description": "Filter loads by their delivery appointment range. The value denotes that the loads returned should have delivery appointments greater than or equal to the deliveryStartDate. It is always combined with a pickup appointment range. If we don’t pass on pickup appointment range along with deliveryStartDate, default values for pickup appointment range (pickupStartDate = -30 days from current date and pickupEndDate = +90 days from current date) will be considered.",
        "": "Filter loads by their delivery appointment range. The value denotes that the loads returned should have delivery appointments greater than or equal to the deliveryStartDate. It is always combined with a pickup appointment range. If we don’t pass on pickup appointment range along with deliveryStartDate, default values for pickup appointment range (pickupStartDate = -30 days from current date and pickupEndDate = +90 days from current date) will be considered."
      },
      {
        "name": "deliveryEndDate",
        "kind": "optional",
        "type": "string",
        "description": "Filter loads by their delivery appointment range. The value denotes that the loads returned should have delivery appointments lesser than or equal to the deliveryEndDate. It is always combined with a pickup appointment range. If we don’t pass on pickup appointment range along with deliveryEndDate, default values for pickup appointment range  (pickupStartDate = -30 days from current date and pickupEndDate = +90 days from current date) will be considered.",
        "": "Filter loads by their delivery appointment range. The value denotes that the loads returned should have delivery appointments lesser than or equal to the deliveryEndDate. It is always combined with a pickup appointment range. If we don’t pass on pickup appointment range along with deliveryEndDate, default values for pickup appointment range  (pickupStartDate = -30 days from current date and pickupEndDate = +90 days from current date) will be considered."
      },
      {
        "name": "shipTo",
        "kind": "optional",
        "type": "string",
        "description": "Filter loads by the receiver associated with a load.",
        "children": []
      },
      {
        "name": "pickupStopName",
        "kind": "optional",
        "type": "string",
        "description": "Filter loads associated with a given list of pickup stops.",
        "children": []
      },
      {
        "name": "terminalStopName",
        "kind": "optional",
        "type": "string",
        "description": "Filter loads associated with a given list of terminal stops.",
        "children": []
      },
      {
        "name": "deliveryStopName",
        "kind": "optional",
        "type": "string",
        "description": "Filter loads associated with a given list of delivery stops.",
        "children": []
      },
      {
        "name": "createdStartDate",
        "kind": "optional",
        "type": "string",
        "description": "It will filter shipments with respect to created at timestamp. If invalid range is provided, timestamps will be reset and results as per -90 days to present date will be displayed. (Required for Ocean loads)",
        "children": []
      },
      {
        "name": "createdEndDate",
        "kind": "optional",
        "type": "string",
        "description": "It will filter shipments with respect to created at timestamp. If invalid range is provided, timestamps will be reset and results as per -90 days to present date will be displayed. (Required for Ocean loads)",
        "children": []
      },
      {
        "name": "status",
        "kind": "optional",
        "type": "string",
        "description": "Filter loads of a given tracking status. If no value is given, loads for all statuses are returned.",
        "children": []
      },
      {
        "name": "loadNumber",
        "kind": "optional",
        "type": "string",
        "description": "Load or Shipment Number. This is the same as what is shown in the FourKites Web Application",
        "children": []
      },
      {
        "name": "orderNumber",
        "kind": "optional",
        "type": "string",
        "description": "Filter or search for shipments by Order Number. Note that when both loadNumber and orderNumber are present, loadNumber takes precedence over orderNumber.",
        "": "Filter or search for shipments by Order Number. Note that when both loadNumber and orderNumber are present, loadNumber takes precedence over orderNumber."
      }
    ],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Query Parameter",
    "value": "queryParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "production",
  "legacyHash": "X9TYID88-8pidzBee9kDw"
}
```
:::

:::ApiMethodV2
```json
{
  "name": "Staging",
  "method": "GET",
  "url": "https://api-staging.fourkites.com/shipments?customerId=SOME_ARRAY_VALUE&pickupStartDate=SOME_STRING_VALUE&pickupEndDate=SOME_STRING_VALUE&deliveryStartDate=SOME_STRING_VALUE&deliveryEndDate=SOME_STRING_VALUE&shipTo=SOME_ARRAY_VALUE&pickupStopName=SOME_ARRAY_VALUE&terminalStopName=SOME_ARRAY_VALUE&deliveryStopName=SOME_ARRAY_VALUE&page=SOME_INTEGER_VALUE&perPage=SOME_INTEGER_VALUE&status=SOME_STRING_VALUE&orderNumber=SOME_STRING_VALUE",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "k_jh5O7mGyd7ofxcnRnyP",
        "language": "curl",
        "code": "curl --location 'https://api-staging.fourkites.com/shipments?customerId=SOME_ARRAY_VALUE&pickupStartDate=SOME_STRING_VALUE&pickupEndDate=SOME_STRING_VALUE&deliveryStartDate=SOME_STRING_VALUE&deliveryEndDate=SOME_STRING_VALUE&shipTo=SOME_ARRAY_VALUE&pickupStopName=SOME_ARRAY_VALUE&terminalStopName=SOME_ARRAY_VALUE&deliveryStopName=SOME_ARRAY_VALUE&page=SOME_INTEGER_VALUE&perPage=SOME_INTEGER_VALUE&status=SOME_STRING_VALUE&orderNumber=SOME_STRING_VALUE' \\\n--header 'apikey: REPLACE_KEY_VALUE'",
        "customLabel": ""
      },
      {
        "id": "58v7xI71aKYcDXbX5AB2m",
        "language": "java",
        "code": "OkHttpClient client = new OkHttpClient().newBuilder()\n  .build();\nMediaType mediaType = MediaType.parse(\"text/plain\");\nRequestBody body = RequestBody.create(mediaType, \"\");\nRequest request = new Request.Builder()\n  .url(\"https://api-staging.fourkites.com/shipments?customerId=SOME_ARRAY_VALUE&pickupStartDate=SOME_STRING_VALUE&pickupEndDate=SOME_STRING_VALUE&deliveryStartDate=SOME_STRING_VALUE&deliveryEndDate=SOME_STRING_VALUE&shipTo=SOME_ARRAY_VALUE&pickupStopName=SOME_ARRAY_VALUE&terminalStopName=SOME_ARRAY_VALUE&deliveryStopName=SOME_ARRAY_VALUE&page=SOME_INTEGER_VALUE&perPage=SOME_INTEGER_VALUE&status=SOME_STRING_VALUE&orderNumber=SOME_STRING_VALUE\")\n  .method(\"GET\", body)\n  .addHeader(\"apikey\", \"REPLACE_KEY_VALUE\")\n  .build();\nResponse response = client.newCall(request).execute();",
        "customLabel": ""
      },
      {
        "id": "7kEefjV7KYd79ffHSG2fH",
        "language": "javascript",
        "code": "var settings = {\n  \"url\": \"https://api-staging.fourkites.com/shipments?customerId=SOME_ARRAY_VALUE&pickupStartDate=SOME_STRING_VALUE&pickupEndDate=SOME_STRING_VALUE&deliveryStartDate=SOME_STRING_VALUE&deliveryEndDate=SOME_STRING_VALUE&shipTo=SOME_ARRAY_VALUE&pickupStopName=SOME_ARRAY_VALUE&terminalStopName=SOME_ARRAY_VALUE&deliveryStopName=SOME_ARRAY_VALUE&page=SOME_INTEGER_VALUE&perPage=SOME_INTEGER_VALUE&status=SOME_STRING_VALUE&orderNumber=SOME_STRING_VALUE\",\n  \"method\": \"GET\",\n  \"timeout\": 0,\n  \"headers\": {\n    \"apikey\": \"REPLACE_KEY_VALUE\"\n  },\n};\n\n$.ajax(settings).done(function (response) {\n  console.log(response);\n});",
        "customLabel": ""
      },
      {
        "id": "4WjlsLkjzKhzWRrdUqwgG",
        "language": "swift",
        "code": "var request = URLRequest(url: URL(string: \"https://api-staging.fourkites.com/shipments?customerId=SOME_ARRAY_VALUE&pickupStartDate=SOME_STRING_VALUE&pickupEndDate=SOME_STRING_VALUE&deliveryStartDate=SOME_STRING_VALUE&deliveryEndDate=SOME_STRING_VALUE&shipTo=SOME_ARRAY_VALUE&pickupStopName=SOME_ARRAY_VALUE&terminalStopName=SOME_ARRAY_VALUE&deliveryStopName=SOME_ARRAY_VALUE&page=SOME_INTEGER_VALUE&perPage=SOME_INTEGER_VALUE&status=SOME_STRING_VALUE&orderNumber=SOME_STRING_VALUE\")!,timeoutInterval: Double.infinity)\nrequest.addValue(\"REPLACE_KEY_VALUE\", forHTTPHeaderField: \"apikey\")\n\nrequest.httpMethod = \"GET\"\n\nlet task = URLSession.shared.dataTask(with: request) { data, response, error in \n  guard let data = data else {\n    print(String(describing: error))\n    return\n  }\n  print(String(data: data, encoding: .utf8)!)\n}\n\ntask.resume()\n",
        "customLabel": ""
      },
      {
        "id": "LocrVl_id1jT6Hqg7AIIu",
        "language": "csharp",
        "code": "var client = new HttpClient();\nvar request = new HttpRequestMessage(HttpMethod.Get, \"https://api-staging.fourkites.com/shipments?customerId=SOME_ARRAY_VALUE&pickupStartDate=SOME_STRING_VALUE&pickupEndDate=SOME_STRING_VALUE&deliveryStartDate=SOME_STRING_VALUE&deliveryEndDate=SOME_STRING_VALUE&shipTo=SOME_ARRAY_VALUE&pickupStopName=SOME_ARRAY_VALUE&terminalStopName=SOME_ARRAY_VALUE&deliveryStopName=SOME_ARRAY_VALUE&page=SOME_INTEGER_VALUE&perPage=SOME_INTEGER_VALUE&status=SOME_STRING_VALUE\");\nrequest.Headers.Add(\"apikey\", \"REPLACE_KEY_VALUE\");\nvar response = await client.SendAsync(request);\nresponse.EnsureSuccessStatusCode();\nConsole.WriteLine(await response.Content.ReadAsStringAsync());\n",
        "customLabel": ""
      },
      {
        "id": "EiNxUCb7L6XSXKYQpDIFU",
        "language": "go",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"net/http\"\n  \"io/ioutil\"\n)\n\nfunc main() {\n\n  url := \"https://api-staging.fourkites.com/shipments?customerId=SOME_ARRAY_VALUE&pickupStartDate=SOME_STRING_VALUE&pickupEndDate=SOME_STRING_VALUE&deliveryStartDate=SOME_STRING_VALUE&deliveryEndDate=SOME_STRING_VALUE&shipTo=SOME_ARRAY_VALUE&pickupStopName=SOME_ARRAY_VALUE&terminalStopName=SOME_ARRAY_VALUE&deliveryStopName=SOME_ARRAY_VALUE&page=SOME_INTEGER_VALUE&perPage=SOME_INTEGER_VALUE&status=SOME_STRING_VALUE\"\n  method := \"GET\"\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, nil)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  req.Header.Add(\"apikey\", \"REPLACE_KEY_VALUE\")\n\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := ioutil.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}",
        "customLabel": ""
      },
      {
        "id": "9XvWOqVmdwU_EFh5KN5Y4",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://api-staging.fourkites.com/shipments?customerId=SOME_ARRAY_VALUE&pickupStartDate=SOME_STRING_VALUE&pickupEndDate=SOME_STRING_VALUE&deliveryStartDate=SOME_STRING_VALUE&deliveryEndDate=SOME_STRING_VALUE&shipTo=SOME_ARRAY_VALUE&pickupStopName=SOME_ARRAY_VALUE&terminalStopName=SOME_ARRAY_VALUE&deliveryStopName=SOME_ARRAY_VALUE&page=SOME_INTEGER_VALUE&perPage=SOME_INTEGER_VALUE&status=SOME_STRING_VALUE\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"apikey\"] = \"REPLACE_KEY_VALUE\"\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      },
      {
        "id": "Uf8FHN1GPNoLm39tuJ-bv",
        "language": "python",
        "code": "import http.client\n\nconn = http.client.HTTPSConnection(\"api-staging.fourkites.com\")\npayload = ''\nheaders = {\n  'apikey': 'REPLACE_KEY_VALUE'\n}\nconn.request(\"GET\", \"/shipments?customerId=SOME_ARRAY_VALUE&pickupStartDate=SOME_STRING_VALUE&pickupEndDate=SOME_STRING_VALUE&deliveryStartDate=SOME_STRING_VALUE&deliveryEndDate=SOME_STRING_VALUE&shipTo=SOME_ARRAY_VALUE&pickupStopName=SOME_ARRAY_VALUE&terminalStopName=SOME_ARRAY_VALUE&deliveryStopName=SOME_ARRAY_VALUE&page=SOME_INTEGER_VALUE&perPage=SOME_INTEGER_VALUE&status=SOME_STRING_VALUE\", payload, headers)\nres = conn.getresponse()\ndata = res.read()\nprint(data.decode(\"utf-8\"))",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "4WjlsLkjzKhzWRrdUqwgG"
  },
  "results": {
    "languages": [
      {
        "id": "sLjjawP7UJRdzcbxUSSDz",
        "language": "200",
        "code": "{\n  \"data\": {\n    \"shipments\": [\n      {\n        \"fourKitesShipmentID\": \"471175003\",\n        \"loadNumber\": \"CB-check2\",\n        \"status\": \"Awaiting Tracking Info\",\n        \"priority\": \"normal\",\n        \"identifiers\": {\n          \"purchaseOrderNumbers\": [\n            \"173910 7469813659\"\n          ],\n          \"referenceNumbers\": [\n            \"GLOG Refnum: C003859078\",\n            \"9002643011-P92\"\n          ]\n        },\n        \"latestLocation\": null,\n        \"stakeholders\": {\n          \"shipper\": \"rose_shipper\"\n        },\n        \"SCAC\": null,\n        \"totalDistanceInMeters\": 475350,\n        \"remainingDistanceInMeters\": null,\n        \"fourKitesETA\": null,\n        \"timeZone\": \"Europe/Rome\",\n        \"numberOfDeliveryStops\": 1,\n        \"stops\": [\n          {\n            \"fourKitesStopID\": \"1250930739\",\n            \"stopType\": \"PICKUP\",\n            \"status\": \"Not Tracking\",\n            \"fourKitesETA\": null,\n            \"stopName\": \"FM ITALIA, CAPRIATA D'ORBA,\",\n            \"city\": \"Capriata d'Orba\",\n            \"state\": null,\n            \"country\": \"IT\",\n            \"externalAddressID\": \"00PL00S4FM\",\n            \"latitude\": 44.7244,\n            \"longitude\": 8.66015,\n            \"timeZone\": \"Europe/Rome\",\n            \"schedule\": {\n              \"appointmentTime\": \"2024-12-23T23:00:00+01:00\"\n            },\n            \"sequence\": 1,\n            \"arrivalTime\": null,\n            \"departureTime\": null,\n            \"pallets\": [\n              {\n                \"parts\": [\n                  {\n                    \"quantity\": null,\n                    \"weight\": null\n                  }\n                ]\n              }\n            ],\n            \"postalCode\": \"28376\"\n          },\n          {\n            \"fourKitesStopID\": \"1250930740\",\n            \"stopType\": \"DELIVERY\",\n            \"status\": \"Not Tracking\",\n            \"stopName\": \"SMA XPO SUPPLY CHAIN ITALY S.P.A, OSIMO, AN\",\n            \"city\": \"Aspio Terme\",\n            \"state\": \"Marche\",\n            \"country\": \"IT\",\n            \"externalAddressID\": \"0000729113\",\n            \"latitude\": 43.5314028,\n            \"longitude\": 13.5111304,\n            \"timeZone\": \"Europe/Rome\",\n            \"schedule\": {\n              \"appointmentTime\": \"2024-12-23T23:00:00+01:00\",\n              \"wantTime\": \"2024-12-23T23:00:00+01:00\"\n            },\n            \"sequence\": 2,\n            \"arrivalTime\": null,\n            \"departureTime\": null,\n            \"pallets\": [\n              {\n                \"parts\": [\n                  {\n                    \"quantity\": null,\n                    \"weight\": null\n                  }\n                ]\n              }\n            ],\n            \"postalCode\": \"17241\"\n          }\n        ],\n        \"bookingNumber\": \"testBN\",\n        \"billOfLading\": \"testBOL\"\n      }\n    ],\n    \"page\": 1,\n    \"perPage\": 10,\n    \"totalCount\": 1\n  },\n  \"requestId\": \"crr5eo8ikb5oemug8iig\"\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "sLjjawP7UJRdzcbxUSSDz"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [
      {
        "name": "page",
        "kind": "optional",
        "type": "integer",
        "description": "Returns results associated with the given page number.",
        "children": []
      },
      {
        "name": "perPage",
        "kind": "optional",
        "type": "integer",
        "description": "The maximum results to be returned by the List API. The minimum value is 1 and the maximum value is 100.",
        "children": []
      },
      {
        "name": "customerId",
        "kind": "optional",
        "type": "array",
        "description": "Filter loads by a customer (shipper) given ID associated with a load.",
        "children": []
      },
      {
        "name": "pickupStartDate",
        "kind": "optional",
        "type": "string",
        "description": "Filter loads by their pickup appointment range. The value denotes that the loads returned should have pickup appointments greater than or equal to the pickupStartDate. The maximum supported value is +/- 90 days from the current date.",
        "children": []
      },
      {
        "name": "pickupEndDate",
        "kind": "optional",
        "type": "string",
        "description": "Filter loads by their pickup appointment range. The value denotes that the loads returned should have pickup appointments less than or equal to the pickupEndDate. The maximum supported value is +/- 90 days from the current date.",
        "children": []
      },
      {
        "name": "deliveryStartDate",
        "kind": "optional",
        "type": "string",
        "description": "Filter loads by their delivery appointment range. The value denotes that the loads returned should have delivery appointments greater than or equal to the deliveryStartDate. It is always combined with a pickup appointment range. If we don’t pass on pickup appointment range along with deliveryStartDate, default values for pickup appointment range (pickupStartDate = -30 days from current date and pickupEndDate = +90 days from current date) will be considered.",
        "": "Filter loads by their delivery appointment range. The value denotes that the loads returned should have delivery appointments greater than or equal to the deliveryStartDate. It is always combined with a pickup appointment range. If we don’t pass on pickup appointment range along with deliveryStartDate, default values for pickup appointment range (pickupStartDate = -30 days from current date and pickupEndDate = +90 days from current date) will be considered."
      },
      {
        "name": "deliveryEndDate",
        "kind": "optional",
        "type": "string",
        "description": "Filter loads by their delivery appointment range. The value denotes that the loads returned should have delivery appointments lesser than or equal to the deliveryEndDate. It is always combined with a pickup appointment range. If we don’t pass on pickup appointment range along with deliveryEndDate, default values for pickup appointment range  (pickupStartDate = -30 days from current date and pickupEndDate = +90 days from current date) will be considered.",
        "": "Filter loads by their delivery appointment range. The value denotes that the loads returned should have delivery appointments lesser than or equal to the deliveryEndDate. It is always combined with a pickup appointment range. If we don’t pass on pickup appointment range along with deliveryEndDate, default values for pickup appointment range  (pickupStartDate = -30 days from current date and pickupEndDate = +90 days from current date) will be considered."
      },
      {
        "name": "shipTo",
        "kind": "optional",
        "type": "string",
        "description": "Filter loads by the receiver associated with a load.",
        "children": []
      },
      {
        "name": "pickupStopName",
        "kind": "optional",
        "type": "string",
        "description": "Filter loads associated with a given list of pickup stops.",
        "children": []
      },
      {
        "name": "terminalStopName",
        "kind": "optional",
        "type": "string",
        "description": "Filter loads associated with a given list of terminal stops.",
        "children": []
      },
      {
        "name": "deliveryStopName",
        "kind": "optional",
        "type": "string",
        "description": "Filter loads associated with a given list of delivery stops.",
        "children": []
      },
      {
        "name": "createdStartDate",
        "kind": "optional",
        "type": "string",
        "description": "It will filter shipments with respect to created at timestamp. If invalid range is provided, timestamps will be reset and results as per -90 days to present date will be displayed. (Required for Ocean loads)",
        "children": []
      },
      {
        "name": "createdEndDate",
        "kind": "optional",
        "type": "string",
        "description": "It will filter shipments with respect to created at timestamp. If invalid range is provided, timestamps will be reset and results as per -90 days to present date will be displayed. (Required for Ocean loads)",
        "children": []
      },
      {
        "name": "status",
        "kind": "optional",
        "type": "string",
        "description": "Filter loads of a given tracking status. If no value is given, loads for all statuses are returned.",
        "children": []
      },
      {
        "name": "loadNumber",
        "kind": "optional",
        "type": "string",
        "description": "Load or Shipment Number. This is the same as what is shown in the FourKites Web Application",
        "children": []
      },
      {
        "name": "orderNumber",
        "kind": "optional",
        "type": "string",
        "description": "Filter or search for shipments by Order Number. Note that when both loadNumber and orderNumber are present, loadNumber takes precedence over orderNumber.",
        "": "orderNumber"
      }
    ],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Query Parameter",
    "value": "queryParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "staging",
  "legacyHash": "Ki9eAu31sgZw5oYVybbDo"
}
```
:::

:::ApiMethodV2
```json
{
  "name": "Azure - Production",
  "method": "GET",
  "url": "https://api.ng.fourkites.com/shipments?customerId=SOME_ARRAY_VALUE&pickupStartDate=SOME_STRING_VALUE&pickupEndDate=SOME_STRING_VALUE&deliveryStartDate=SOME_STRING_VALUE&deliveryEndDate=SOME_STRING_VALUE&shipTo=SOME_ARRAY_VALUE&pickupStopName=SOME_ARRAY_VALUE&terminalStopName=SOME_ARRAY_VALUE&deliveryStopName=SOME_ARRAY_VALUE&page=SOME_INTEGER_VALUE&perPage=SOME_INTEGER_VALUE&status=SOME_STRING_VALUE&orderNumber=SOME_STRING_VALUE",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "k_jh5O7mGyd7ofxcnRnyP",
        "language": "curl",
        "code": "curl --location 'https://api.ng.fourkites.com/shipments?customerId=SOME_ARRAY_VALUE&pickupStartDate=SOME_STRING_VALUE&pickupEndDate=SOME_STRING_VALUE&deliveryStartDate=SOME_STRING_VALUE&deliveryEndDate=SOME_STRING_VALUE&shipTo=SOME_ARRAY_VALUE&pickupStopName=SOME_ARRAY_VALUE&terminalStopName=SOME_ARRAY_VALUE&deliveryStopName=SOME_ARRAY_VALUE&page=SOME_INTEGER_VALUE&perPage=SOME_INTEGER_VALUE&status=SOME_STRING_VALUE&orderNumber=SOME_STRING_VALUE' \\\n--header 'apikey: REPLACE_KEY_VALUE'",
        "customLabel": ""
      },
      {
        "id": "58v7xI71aKYcDXbX5AB2m",
        "language": "java",
        "code": "OkHttpClient client = new OkHttpClient().newBuilder()\n  .build();\nMediaType mediaType = MediaType.parse(\"text/plain\");\nRequestBody body = RequestBody.create(mediaType, \"\");\nRequest request = new Request.Builder()\n  .url(\"https://api.ng.fourkites.com/shipments?customerId=SOME_ARRAY_VALUE&pickupStartDate=SOME_STRING_VALUE&pickupEndDate=SOME_STRING_VALUE&deliveryStartDate=SOME_STRING_VALUE&deliveryEndDate=SOME_STRING_VALUE&shipTo=SOME_ARRAY_VALUE&pickupStopName=SOME_ARRAY_VALUE&terminalStopName=SOME_ARRAY_VALUE&deliveryStopName=SOME_ARRAY_VALUE&page=SOME_INTEGER_VALUE&perPage=SOME_INTEGER_VALUE&status=SOME_STRING_VALUE&orderNumber=SOME_STRING_VALUE\")\n  .method(\"GET\", body)\n  .addHeader(\"apikey\", \"REPLACE_KEY_VALUE\")\n  .build();\nResponse response = client.newCall(request).execute();",
        "customLabel": ""
      },
      {
        "id": "7kEefjV7KYd79ffHSG2fH",
        "language": "javascript",
        "code": "var settings = {\n  \"url\": \"https://api.ng.fourkites.com/shipments?customerId=SOME_ARRAY_VALUE&pickupStartDate=SOME_STRING_VALUE&pickupEndDate=SOME_STRING_VALUE&deliveryStartDate=SOME_STRING_VALUE&deliveryEndDate=SOME_STRING_VALUE&shipTo=SOME_ARRAY_VALUE&pickupStopName=SOME_ARRAY_VALUE&terminalStopName=SOME_ARRAY_VALUE&deliveryStopName=SOME_ARRAY_VALUE&page=SOME_INTEGER_VALUE&perPage=SOME_INTEGER_VALUE&status=SOME_STRING_VALUE&orderNumber=SOME_STRING_VALUE\",\n  \"method\": \"GET\",\n  \"timeout\": 0,\n  \"headers\": {\n    \"apikey\": \"REPLACE_KEY_VALUE\"\n  },\n};\n\n$.ajax(settings).done(function (response) {\n  console.log(response);\n});",
        "customLabel": ""
      },
      {
        "id": "4WjlsLkjzKhzWRrdUqwgG",
        "language": "swift",
        "code": "var request = URLRequest(url: URL(string: \"https://api.ng.fourkites.com/shipments?customerId=SOME_ARRAY_VALUE&pickupStartDate=SOME_STRING_VALUE&pickupEndDate=SOME_STRING_VALUE&deliveryStartDate=SOME_STRING_VALUE&deliveryEndDate=SOME_STRING_VALUE&shipTo=SOME_ARRAY_VALUE&pickupStopName=SOME_ARRAY_VALUE&terminalStopName=SOME_ARRAY_VALUE&deliveryStopName=SOME_ARRAY_VALUE&page=SOME_INTEGER_VALUE&perPage=SOME_INTEGER_VALUE&status=SOME_STRING_VALUE&orderNumber=SOME_STRING_VALUE\")!,timeoutInterval: Double.infinity)\nrequest.addValue(\"REPLACE_KEY_VALUE\", forHTTPHeaderField: \"apikey\")\n\nrequest.httpMethod = \"GET\"\n\nlet task = URLSession.shared.dataTask(with: request) { data, response, error in \n  guard let data = data else {\n    print(String(describing: error))\n    return\n  }\n  print(String(data: data, encoding: .utf8)!)\n}\n\ntask.resume()\n",
        "customLabel": ""
      },
      {
        "id": "LocrVl_id1jT6Hqg7AIIu",
        "language": "csharp",
        "code": "var client = new HttpClient();\nvar request = new HttpRequestMessage(HttpMethod.Get, \"https://api.ng.fourkites.com/shipments?customerId=SOME_ARRAY_VALUE&pickupStartDate=SOME_STRING_VALUE&pickupEndDate=SOME_STRING_VALUE&deliveryStartDate=SOME_STRING_VALUE&deliveryEndDate=SOME_STRING_VALUE&shipTo=SOME_ARRAY_VALUE&pickupStopName=SOME_ARRAY_VALUE&terminalStopName=SOME_ARRAY_VALUE&deliveryStopName=SOME_ARRAY_VALUE&page=SOME_INTEGER_VALUE&perPage=SOME_INTEGER_VALUE&status=SOME_STRING_VALUE\");\nrequest.Headers.Add(\"apikey\", \"REPLACE_KEY_VALUE\");\nvar response = await client.SendAsync(request);\nresponse.EnsureSuccessStatusCode();\nConsole.WriteLine(await response.Content.ReadAsStringAsync());\n",
        "customLabel": ""
      },
      {
        "id": "EiNxUCb7L6XSXKYQpDIFU",
        "language": "go",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"net/http\"\n  \"io/ioutil\"\n)\n\nfunc main() {\n\n  url := \"https://api.ng.fourkites.com/shipments?customerId=SOME_ARRAY_VALUE&pickupStartDate=SOME_STRING_VALUE&pickupEndDate=SOME_STRING_VALUE&deliveryStartDate=SOME_STRING_VALUE&deliveryEndDate=SOME_STRING_VALUE&shipTo=SOME_ARRAY_VALUE&pickupStopName=SOME_ARRAY_VALUE&terminalStopName=SOME_ARRAY_VALUE&deliveryStopName=SOME_ARRAY_VALUE&page=SOME_INTEGER_VALUE&perPage=SOME_INTEGER_VALUE&status=SOME_STRING_VALUE\"\n  method := \"GET\"\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, nil)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  req.Header.Add(\"apikey\", \"REPLACE_KEY_VALUE\")\n\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := ioutil.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}",
        "customLabel": ""
      },
      {
        "id": "9XvWOqVmdwU_EFh5KN5Y4",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.ng.fourkites.com/shipments?customerId=SOME_ARRAY_VALUE&pickupStartDate=SOME_STRING_VALUE&pickupEndDate=SOME_STRING_VALUE&deliveryStartDate=SOME_STRING_VALUE&deliveryEndDate=SOME_STRING_VALUE&shipTo=SOME_ARRAY_VALUE&pickupStopName=SOME_ARRAY_VALUE&terminalStopName=SOME_ARRAY_VALUE&deliveryStopName=SOME_ARRAY_VALUE&page=SOME_INTEGER_VALUE&perPage=SOME_INTEGER_VALUE&status=SOME_STRING_VALUE\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"apikey\"] = \"REPLACE_KEY_VALUE\"\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      },
      {
        "id": "Uf8FHN1GPNoLm39tuJ-bv",
        "language": "python",
        "code": "import http.client\n\nconn = http.client.HTTPSConnection(\"api.ng.fourkites.com\")\npayload = ''\nheaders = {\n  'apikey': 'REPLACE_KEY_VALUE'\n}\nconn.request(\"GET\", \"/shipments?customerId=SOME_ARRAY_VALUE&pickupStartDate=SOME_STRING_VALUE&pickupEndDate=SOME_STRING_VALUE&deliveryStartDate=SOME_STRING_VALUE&deliveryEndDate=SOME_STRING_VALUE&shipTo=SOME_ARRAY_VALUE&pickupStopName=SOME_ARRAY_VALUE&terminalStopName=SOME_ARRAY_VALUE&deliveryStopName=SOME_ARRAY_VALUE&page=SOME_INTEGER_VALUE&perPage=SOME_INTEGER_VALUE&status=SOME_STRING_VALUE\", payload, headers)\nres = conn.getresponse()\ndata = res.read()\nprint(data.decode(\"utf-8\"))",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "4WjlsLkjzKhzWRrdUqwgG"
  },
  "results": {
    "languages": [
      {
        "id": "sLjjawP7UJRdzcbxUSSDz",
        "language": "200",
        "code": "{\n  \"data\": {\n    \"shipments\": [\n      {\n        \"fourKitesShipmentID\": \"471175003\",\n        \"loadNumber\": \"CB-check2\",\n        \"status\": \"Awaiting Tracking Info\",\n        \"priority\": \"normal\",\n        \"identifiers\": {\n          \"purchaseOrderNumbers\": [\n            \"173910 7469813659\"\n          ],\n          \"referenceNumbers\": [\n            \"GLOG Refnum: C003859078\",\n            \"9002643011-P92\"\n          ]\n        },\n        \"latestLocation\": null,\n        \"stakeholders\": {\n          \"shipper\": \"rose_shipper\"\n        },\n        \"SCAC\": null,\n        \"totalDistanceInMeters\": 475350,\n        \"remainingDistanceInMeters\": null,\n        \"fourKitesETA\": null,\n        \"timeZone\": \"Europe/Rome\",\n        \"numberOfDeliveryStops\": 1,\n        \"stops\": [\n          {\n            \"fourKitesStopID\": \"1250930739\",\n            \"stopType\": \"PICKUP\",\n            \"status\": \"Not Tracking\",\n            \"fourKitesETA\": null,\n            \"stopName\": \"FM ITALIA, CAPRIATA D'ORBA,\",\n            \"city\": \"Capriata d'Orba\",\n            \"state\": null,\n            \"country\": \"IT\",\n            \"externalAddressID\": \"00PL00S4FM\",\n            \"latitude\": 44.7244,\n            \"longitude\": 8.66015,\n            \"timeZone\": \"Europe/Rome\",\n            \"schedule\": {\n              \"appointmentTime\": \"2024-12-23T23:00:00+01:00\"\n            },\n            \"sequence\": 1,\n            \"arrivalTime\": null,\n            \"departureTime\": null,\n            \"pallets\": [\n              {\n                \"parts\": [\n                  {\n                    \"quantity\": null,\n                    \"weight\": null\n                  }\n                ]\n              }\n            ],\n            \"postalCode\": \"28376\"\n          },\n          {\n            \"fourKitesStopID\": \"1250930740\",\n            \"stopType\": \"DELIVERY\",\n            \"status\": \"Not Tracking\",\n            \"stopName\": \"SMA XPO SUPPLY CHAIN ITALY S.P.A, OSIMO, AN\",\n            \"city\": \"Aspio Terme\",\n            \"state\": \"Marche\",\n            \"country\": \"IT\",\n            \"externalAddressID\": \"0000729113\",\n            \"latitude\": 43.5314028,\n            \"longitude\": 13.5111304,\n            \"timeZone\": \"Europe/Rome\",\n            \"schedule\": {\n              \"appointmentTime\": \"2024-12-23T23:00:00+01:00\",\n              \"wantTime\": \"2024-12-23T23:00:00+01:00\"\n            },\n            \"sequence\": 2,\n            \"arrivalTime\": null,\n            \"departureTime\": null,\n            \"pallets\": [\n              {\n                \"parts\": [\n                  {\n                    \"quantity\": null,\n                    \"weight\": null\n                  }\n                ]\n              }\n            ],\n            \"postalCode\": \"17241\"\n          }\n        ],\n        \"bookingNumber\": \"testBN\",\n        \"billOfLading\": \"testBOL\"\n      }\n    ],\n    \"page\": 1,\n    \"perPage\": 10,\n    \"totalCount\": 1\n  },\n  \"requestId\": \"crr5eo8ikb5oemug8iig\"\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "sLjjawP7UJRdzcbxUSSDz"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [
      {
        "name": "page",
        "kind": "optional",
        "type": "integer",
        "description": "Returns results associated with the given page number.",
        "children": []
      },
      {
        "name": "perPage",
        "kind": "optional",
        "type": "integer",
        "description": "The maximum results to be returned by the List API. The minimum value is 1 and the maximum value is 100.",
        "children": []
      },
      {
        "name": "customerId",
        "kind": "optional",
        "type": "array",
        "description": "Filter loads by a customer (shipper) given ID associated with a load.",
        "children": []
      },
      {
        "name": "pickupStartDate",
        "kind": "optional",
        "type": "string",
        "description": "Filter loads by their pickup appointment range. The value denotes that the loads returned should have pickup appointments greater than or equal to the pickupStartDate. The maximum supported value is +/- 90 days from the current date.",
        "children": []
      },
      {
        "name": "pickupEndDate",
        "kind": "optional",
        "type": "string",
        "description": "Filter loads by their pickup appointment range. The value denotes that the loads returned should have pickup appointments less than or equal to the pickupEndDate. The maximum supported value is +/- 90 days from the current date.",
        "children": []
      },
      {
        "name": "deliveryStartDate",
        "kind": "optional",
        "type": "string",
        "description": "Filter loads by their delivery appointment range. The value denotes that the loads returned should have delivery appointments greater than or equal to the deliveryStartDate. It is always combined with a pickup appointment range. If we don’t pass on pickup appointment range along with deliveryStartDate, default values for pickup appointment range (pickupStartDate = -30 days from current date and pickupEndDate = +90 days from current date) will be considered.",
        "": "Filter loads by their delivery appointment range. The value denotes that the loads returned should have delivery appointments greater than or equal to the deliveryStartDate. It is always combined with a pickup appointment range. If we don’t pass on pickup appointment range along with deliveryStartDate, default values for pickup appointment range (pickupStartDate = -30 days from current date and pickupEndDate = +90 days from current date) will be considered."
      },
      {
        "name": "deliveryEndDate",
        "kind": "optional",
        "type": "string",
        "description": "Filter loads by their delivery appointment range. The value denotes that the loads returned should have delivery appointments lesser than or equal to the deliveryEndDate. It is always combined with a pickup appointment range. If we don’t pass on pickup appointment range along with deliveryEndDate, default values for pickup appointment range  (pickupStartDate = -30 days from current date and pickupEndDate = +90 days from current date) will be considered.",
        "": "Filter loads by their delivery appointment range. The value denotes that the loads returned should have delivery appointments lesser than or equal to the deliveryEndDate. It is always combined with a pickup appointment range. If we don’t pass on pickup appointment range along with deliveryEndDate, default values for pickup appointment range  (pickupStartDate = -30 days from current date and pickupEndDate = +90 days from current date) will be considered."
      },
      {
        "name": "shipTo",
        "kind": "optional",
        "type": "string",
        "description": "Filter loads by the receiver associated with a load.",
        "children": []
      },
      {
        "name": "pickupStopName",
        "kind": "optional",
        "type": "string",
        "description": "Filter loads associated with a given list of pickup stops.",
        "children": []
      },
      {
        "name": "terminalStopName",
        "kind": "optional",
        "type": "string",
        "description": "Filter loads associated with a given list of terminal stops.",
        "children": []
      },
      {
        "name": "deliveryStopName",
        "kind": "optional",
        "type": "string",
        "description": "Filter loads associated with a given list of delivery stops.",
        "children": []
      },
      {
        "name": "createdStartDate",
        "kind": "optional",
        "type": "string",
        "description": "It will filter shipments with respect to created at timestamp. If invalid range is provided, timestamps will be reset and results as per -90 days to present date will be displayed. (Required for Ocean loads)",
        "children": []
      },
      {
        "name": "createdEndDate",
        "kind": "optional",
        "type": "string",
        "description": "It will filter shipments with respect to created at timestamp. If invalid range is provided, timestamps will be reset and results as per -90 days to present date will be displayed. (Required for Ocean loads)",
        "children": []
      },
      {
        "name": "status",
        "kind": "optional",
        "type": "string",
        "description": "Filter loads of a given tracking status. If no value is given, loads for all statuses are returned.",
        "children": []
      },
      {
        "name": "loadNumber",
        "kind": "optional",
        "type": "string",
        "description": "Load or Shipment Number. This is the same as what is shown in the FourKites Web Application",
        "children": []
      },
      {
        "name": "orderNumber",
        "kind": "optional",
        "type": "string",
        "description": "Filter or search for shipments by Order Number. Note that when both loadNumber and orderNumber are present, loadNumber takes precedence over orderNumber.",
        "": "orderNumber"
      }
    ],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Query Parameter",
    "value": "queryParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "azure-production",
  "legacyHash": "ev1jLrkhDQG2JuQAiIgx2"
}
```
:::

:::ApiMethodV2
```json
{
  "name": "Azure - Staging",
  "method": "GET",
  "url": "https://api-staging.ng.fourkites.com/shipments?customerId=SOME_ARRAY_VALUE&pickupStartDate=SOME_STRING_VALUE&pickupEndDate=SOME_STRING_VALUE&deliveryStartDate=SOME_STRING_VALUE&deliveryEndDate=SOME_STRING_VALUE&shipTo=SOME_ARRAY_VALUE&pickupStopName=SOME_ARRAY_VALUE&terminalStopName=SOME_ARRAY_VALUE&deliveryStopName=SOME_ARRAY_VALUE&page=SOME_INTEGER_VALUE&perPage=SOME_INTEGER_VALUE&status=SOME_STRING_VALUE&orderNumber=SOME_STRING_VALUE",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "k_jh5O7mGyd7ofxcnRnyP",
        "language": "curl",
        "code": "curl --location 'https://api-staging.ng.fourkites.com/shipments?customerId=SOME_ARRAY_VALUE&pickupStartDate=SOME_STRING_VALUE&pickupEndDate=SOME_STRING_VALUE&deliveryStartDate=SOME_STRING_VALUE&deliveryEndDate=SOME_STRING_VALUE&shipTo=SOME_ARRAY_VALUE&pickupStopName=SOME_ARRAY_VALUE&terminalStopName=SOME_ARRAY_VALUE&deliveryStopName=SOME_ARRAY_VALUE&page=SOME_INTEGER_VALUE&perPage=SOME_INTEGER_VALUE&status=SOME_STRING_VALUE&orderNumber=SOME_STRING_VALUE' \\\n--header 'apikey: REPLACE_KEY_VALUE'",
        "customLabel": ""
      },
      {
        "id": "58v7xI71aKYcDXbX5AB2m",
        "language": "java",
        "code": "OkHttpClient client = new OkHttpClient().newBuilder()\n  .build();\nMediaType mediaType = MediaType.parse(\"text/plain\");\nRequestBody body = RequestBody.create(mediaType, \"\");\nRequest request = new Request.Builder()\n  .url(\"https://api-staging.ng.fourkites.com/shipments?customerId=SOME_ARRAY_VALUE&pickupStartDate=SOME_STRING_VALUE&pickupEndDate=SOME_STRING_VALUE&deliveryStartDate=SOME_STRING_VALUE&deliveryEndDate=SOME_STRING_VALUE&shipTo=SOME_ARRAY_VALUE&pickupStopName=SOME_ARRAY_VALUE&terminalStopName=SOME_ARRAY_VALUE&deliveryStopName=SOME_ARRAY_VALUE&page=SOME_INTEGER_VALUE&perPage=SOME_INTEGER_VALUE&status=SOME_STRING_VALUE&orderNumber=SOME_STRING_VALUE\")\n  .method(\"GET\", body)\n  .addHeader(\"apikey\", \"REPLACE_KEY_VALUE\")\n  .build();\nResponse response = client.newCall(request).execute();",
        "customLabel": ""
      },
      {
        "id": "7kEefjV7KYd79ffHSG2fH",
        "language": "javascript",
        "code": "var settings = {\n  \"url\": \"https://api-staging.ng.fourkites.com/shipments?customerId=SOME_ARRAY_VALUE&pickupStartDate=SOME_STRING_VALUE&pickupEndDate=SOME_STRING_VALUE&deliveryStartDate=SOME_STRING_VALUE&deliveryEndDate=SOME_STRING_VALUE&shipTo=SOME_ARRAY_VALUE&pickupStopName=SOME_ARRAY_VALUE&terminalStopName=SOME_ARRAY_VALUE&deliveryStopName=SOME_ARRAY_VALUE&page=SOME_INTEGER_VALUE&perPage=SOME_INTEGER_VALUE&status=SOME_STRING_VALUE&orderNumber=SOME_STRING_VALUE\",\n  \"method\": \"GET\",\n  \"timeout\": 0,\n  \"headers\": {\n    \"apikey\": \"REPLACE_KEY_VALUE\"\n  },\n};\n\n$.ajax(settings).done(function (response) {\n  console.log(response);\n});",
        "customLabel": ""
      },
      {
        "id": "4WjlsLkjzKhzWRrdUqwgG",
        "language": "swift",
        "code": "var request = URLRequest(url: URL(string: \"https://api-staging.ng.fourkites.com/shipments?customerId=SOME_ARRAY_VALUE&pickupStartDate=SOME_STRING_VALUE&pickupEndDate=SOME_STRING_VALUE&deliveryStartDate=SOME_STRING_VALUE&deliveryEndDate=SOME_STRING_VALUE&shipTo=SOME_ARRAY_VALUE&pickupStopName=SOME_ARRAY_VALUE&terminalStopName=SOME_ARRAY_VALUE&deliveryStopName=SOME_ARRAY_VALUE&page=SOME_INTEGER_VALUE&perPage=SOME_INTEGER_VALUE&status=SOME_STRING_VALUE&orderNumber=SOME_STRING_VALUE\")!,timeoutInterval: Double.infinity)\nrequest.addValue(\"REPLACE_KEY_VALUE\", forHTTPHeaderField: \"apikey\")\n\nrequest.httpMethod = \"GET\"\n\nlet task = URLSession.shared.dataTask(with: request) { data, response, error in \n  guard let data = data else {\n    print(String(describing: error))\n    return\n  }\n  print(String(data: data, encoding: .utf8)!)\n}\n\ntask.resume()\n",
        "customLabel": ""
      },
      {
        "id": "LocrVl_id1jT6Hqg7AIIu",
        "language": "csharp",
        "code": "var client = new HttpClient();\nvar request = new HttpRequestMessage(HttpMethod.Get, \"https://api-staging.ng.fourkites.com/shipments?customerId=SOME_ARRAY_VALUE&pickupStartDate=SOME_STRING_VALUE&pickupEndDate=SOME_STRING_VALUE&deliveryStartDate=SOME_STRING_VALUE&deliveryEndDate=SOME_STRING_VALUE&shipTo=SOME_ARRAY_VALUE&pickupStopName=SOME_ARRAY_VALUE&terminalStopName=SOME_ARRAY_VALUE&deliveryStopName=SOME_ARRAY_VALUE&page=SOME_INTEGER_VALUE&perPage=SOME_INTEGER_VALUE&status=SOME_STRING_VALUE\");\nrequest.Headers.Add(\"apikey\", \"REPLACE_KEY_VALUE\");\nvar response = await client.SendAsync(request);\nresponse.EnsureSuccessStatusCode();\nConsole.WriteLine(await response.Content.ReadAsStringAsync());\n",
        "customLabel": ""
      },
      {
        "id": "EiNxUCb7L6XSXKYQpDIFU",
        "language": "go",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"net/http\"\n  \"io/ioutil\"\n)\n\nfunc main() {\n\n  url := \"https://api-staging.ng.fourkites.com/shipments?customerId=SOME_ARRAY_VALUE&pickupStartDate=SOME_STRING_VALUE&pickupEndDate=SOME_STRING_VALUE&deliveryStartDate=SOME_STRING_VALUE&deliveryEndDate=SOME_STRING_VALUE&shipTo=SOME_ARRAY_VALUE&pickupStopName=SOME_ARRAY_VALUE&terminalStopName=SOME_ARRAY_VALUE&deliveryStopName=SOME_ARRAY_VALUE&page=SOME_INTEGER_VALUE&perPage=SOME_INTEGER_VALUE&status=SOME_STRING_VALUE\"\n  method := \"GET\"\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, nil)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  req.Header.Add(\"apikey\", \"REPLACE_KEY_VALUE\")\n\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := ioutil.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}",
        "customLabel": ""
      },
      {
        "id": "9XvWOqVmdwU_EFh5KN5Y4",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://api-staging.ng.fourkites.com/shipments?customerId=SOME_ARRAY_VALUE&pickupStartDate=SOME_STRING_VALUE&pickupEndDate=SOME_STRING_VALUE&deliveryStartDate=SOME_STRING_VALUE&deliveryEndDate=SOME_STRING_VALUE&shipTo=SOME_ARRAY_VALUE&pickupStopName=SOME_ARRAY_VALUE&terminalStopName=SOME_ARRAY_VALUE&deliveryStopName=SOME_ARRAY_VALUE&page=SOME_INTEGER_VALUE&perPage=SOME_INTEGER_VALUE&status=SOME_STRING_VALUE\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"apikey\"] = \"REPLACE_KEY_VALUE\"\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      },
      {
        "id": "Uf8FHN1GPNoLm39tuJ-bv",
        "language": "python",
        "code": "import http.client\n\nconn = http.client.HTTPSConnection(\"api-staging.ng.fourkites.com\")\npayload = ''\nheaders = {\n  'apikey': 'REPLACE_KEY_VALUE'\n}\nconn.request(\"GET\", \"/shipments?customerId=SOME_ARRAY_VALUE&pickupStartDate=SOME_STRING_VALUE&pickupEndDate=SOME_STRING_VALUE&deliveryStartDate=SOME_STRING_VALUE&deliveryEndDate=SOME_STRING_VALUE&shipTo=SOME_ARRAY_VALUE&pickupStopName=SOME_ARRAY_VALUE&terminalStopName=SOME_ARRAY_VALUE&deliveryStopName=SOME_ARRAY_VALUE&page=SOME_INTEGER_VALUE&perPage=SOME_INTEGER_VALUE&status=SOME_STRING_VALUE\", payload, headers)\nres = conn.getresponse()\ndata = res.read()\nprint(data.decode(\"utf-8\"))",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "4WjlsLkjzKhzWRrdUqwgG"
  },
  "results": {
    "languages": [
      {
        "id": "sLjjawP7UJRdzcbxUSSDz",
        "language": "200",
        "code": "{\n  \"data\": {\n    \"shipments\": [\n      {\n        \"fourKitesShipmentID\": \"471175003\",\n        \"loadNumber\": \"CB-check2\",\n        \"status\": \"Awaiting Tracking Info\",\n        \"priority\": \"normal\",\n        \"identifiers\": {\n          \"purchaseOrderNumbers\": [\n            \"173910 7469813659\"\n          ],\n          \"referenceNumbers\": [\n            \"GLOG Refnum: C003859078\",\n            \"9002643011-P92\"\n          ]\n        },\n        \"latestLocation\": null,\n        \"stakeholders\": {\n          \"shipper\": \"rose_shipper\"\n        },\n        \"SCAC\": null,\n        \"totalDistanceInMeters\": 475350,\n        \"remainingDistanceInMeters\": null,\n        \"fourKitesETA\": null,\n        \"timeZone\": \"Europe/Rome\",\n        \"numberOfDeliveryStops\": 1,\n        \"stops\": [\n          {\n            \"fourKitesStopID\": \"1250930739\",\n            \"stopType\": \"PICKUP\",\n            \"status\": \"Not Tracking\",\n            \"fourKitesETA\": null,\n            \"stopName\": \"FM ITALIA, CAPRIATA D'ORBA,\",\n            \"city\": \"Capriata d'Orba\",\n            \"state\": null,\n            \"country\": \"IT\",\n            \"externalAddressID\": \"00PL00S4FM\",\n            \"latitude\": 44.7244,\n            \"longitude\": 8.66015,\n            \"timeZone\": \"Europe/Rome\",\n            \"schedule\": {\n              \"appointmentTime\": \"2024-12-23T23:00:00+01:00\"\n            },\n            \"sequence\": 1,\n            \"arrivalTime\": null,\n            \"departureTime\": null,\n            \"pallets\": [\n              {\n                \"parts\": [\n                  {\n                    \"quantity\": null,\n                    \"weight\": null\n                  }\n                ]\n              }\n            ],\n            \"postalCode\": \"28376\"\n          },\n          {\n            \"fourKitesStopID\": \"1250930740\",\n            \"stopType\": \"DELIVERY\",\n            \"status\": \"Not Tracking\",\n            \"stopName\": \"SMA XPO SUPPLY CHAIN ITALY S.P.A, OSIMO, AN\",\n            \"city\": \"Aspio Terme\",\n            \"state\": \"Marche\",\n            \"country\": \"IT\",\n            \"externalAddressID\": \"0000729113\",\n            \"latitude\": 43.5314028,\n            \"longitude\": 13.5111304,\n            \"timeZone\": \"Europe/Rome\",\n            \"schedule\": {\n              \"appointmentTime\": \"2024-12-23T23:00:00+01:00\",\n              \"wantTime\": \"2024-12-23T23:00:00+01:00\"\n            },\n            \"sequence\": 2,\n            \"arrivalTime\": null,\n            \"departureTime\": null,\n            \"pallets\": [\n              {\n                \"parts\": [\n                  {\n                    \"quantity\": null,\n                    \"weight\": null\n                  }\n                ]\n              }\n            ],\n            \"postalCode\": \"17241\"\n          }\n        ],\n        \"bookingNumber\": \"testBN\",\n        \"billOfLading\": \"testBOL\"\n      }\n    ],\n    \"page\": 1,\n    \"perPage\": 10,\n    \"totalCount\": 1\n  },\n  \"requestId\": \"crr5eo8ikb5oemug8iig\"\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "sLjjawP7UJRdzcbxUSSDz"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [
      {
        "name": "page",
        "kind": "optional",
        "type": "integer",
        "description": "Returns results associated with the given page number.",
        "children": []
      },
      {
        "name": "perPage",
        "kind": "optional",
        "type": "integer",
        "description": "The maximum results to be returned by the List API. The minimum value is 1 and the maximum value is 100.",
        "children": []
      },
      {
        "name": "customerId",
        "kind": "optional",
        "type": "array",
        "description": "Filter loads by a customer (shipper) given ID associated with a load.",
        "children": []
      },
      {
        "name": "pickupStartDate",
        "kind": "optional",
        "type": "string",
        "description": "Filter loads by their pickup appointment range. The value denotes that the loads returned should have pickup appointments greater than or equal to the pickupStartDate. The maximum supported value is +/- 90 days from the current date.",
        "children": []
      },
      {
        "name": "pickupEndDate",
        "kind": "optional",
        "type": "string",
        "description": "Filter loads by their pickup appointment range. The value denotes that the loads returned should have pickup appointments less than or equal to the pickupEndDate. The maximum supported value is +/- 90 days from the current date.",
        "children": []
      },
      {
        "name": "deliveryStartDate",
        "kind": "optional",
        "type": "string",
        "description": "Filter loads by their delivery appointment range. The value denotes that the loads returned should have delivery appointments greater than or equal to the deliveryStartDate. It is always combined with a pickup appointment range. If we don’t pass on pickup appointment range along with deliveryStartDate, default values for pickup appointment range (pickupStartDate = -30 days from current date and pickupEndDate = +90 days from current date) will be considered.",
        "": "Filter loads by their delivery appointment range. The value denotes that the loads returned should have delivery appointments greater than or equal to the deliveryStartDate. It is always combined with a pickup appointment range. If we don’t pass on pickup appointment range along with deliveryStartDate, default values for pickup appointment range (pickupStartDate = -30 days from current date and pickupEndDate = +90 days from current date) will be considered."
      },
      {
        "name": "deliveryEndDate",
        "kind": "optional",
        "type": "string",
        "description": "Filter loads by their delivery appointment range. The value denotes that the loads returned should have delivery appointments lesser than or equal to the deliveryEndDate. It is always combined with a pickup appointment range. If we don’t pass on pickup appointment range along with deliveryEndDate, default values for pickup appointment range  (pickupStartDate = -30 days from current date and pickupEndDate = +90 days from current date) will be considered.",
        "": "Filter loads by their delivery appointment range. The value denotes that the loads returned should have delivery appointments lesser than or equal to the deliveryEndDate. It is always combined with a pickup appointment range. If we don’t pass on pickup appointment range along with deliveryEndDate, default values for pickup appointment range  (pickupStartDate = -30 days from current date and pickupEndDate = +90 days from current date) will be considered."
      },
      {
        "name": "shipTo",
        "kind": "optional",
        "type": "string",
        "description": "Filter loads by the receiver associated with a load.",
        "children": []
      },
      {
        "name": "pickupStopName",
        "kind": "optional",
        "type": "string",
        "description": "Filter loads associated with a given list of pickup stops.",
        "children": []
      },
      {
        "name": "terminalStopName",
        "kind": "optional",
        "type": "string",
        "description": "Filter loads associated with a given list of terminal stops.",
        "children": []
      },
      {
        "name": "deliveryStopName",
        "kind": "optional",
        "type": "string",
        "description": "Filter loads associated with a given list of delivery stops.",
        "children": []
      },
      {
        "name": "createdStartDate",
        "kind": "optional",
        "type": "string",
        "description": "It will filter shipments with respect to created at timestamp. If invalid range is provided, timestamps will be reset and results as per -90 days to present date will be displayed. (Required for Ocean loads)",
        "children": []
      },
      {
        "name": "createdEndDate",
        "kind": "optional",
        "type": "string",
        "description": "It will filter shipments with respect to created at timestamp. If invalid range is provided, timestamps will be reset and results as per -90 days to present date will be displayed. (Required for Ocean loads)",
        "children": []
      },
      {
        "name": "status",
        "kind": "optional",
        "type": "string",
        "description": "Filter loads of a given tracking status. If no value is given, loads for all statuses are returned.",
        "children": []
      },
      {
        "name": "loadNumber",
        "kind": "optional",
        "type": "string",
        "description": "Load or Shipment Number. This is the same as what is shown in the FourKites Web Application",
        "children": []
      },
      {
        "name": "orderNumber",
        "kind": "optional",
        "type": "string",
        "description": "Filter or search for shipments by Order Number. Note that when both loadNumber and orderNumber are present, loadNumber takes precedence over orderNumber.",
        "": "Filter or search for shipments by Order Number. Note that when both loadNumber and orderNumber are present, loadNumber takes precedence over orderNumber."
      }
    ],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Query Parameter",
    "value": "queryParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "azure-staging",
  "legacyHash": "YLcxZvzN62VSV-NZhTxUP"
}
```
:::

## Query Parameter Table

| Name                | Param Type | Format                                                                                      | Default                                              | Example              | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| ------------------- | ---------- | ------------------------------------------------------------------------------------------- | ---------------------------------------------------- | -------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `page`              | Query      | Integer                                                                                     | 1                                                    | 1                    | Returns results associated with the given page number.                                                                                                                                                                                                                                                                                                                                                                                                                        |
| `perPage`           | Query      | Integer                                                                                     | 10                                                   | 10                   | The maximum results to be returned by the List API. The minimum value is 1 and the maximum value is 100.                                                                                                                                                                                                                                                                                                                                                                      |
| `customerId`        | Query      | Pipe Delimited string array                                                                 | NA                                                   | customer1\|customer2 | Filter loads by a customer (shipper) given ID associated with a load.                                                                                                                                                                                                                                                                                                                                                                                                         |
| `pickupStartDate`   | Query      | Date in YYYY-MM-DD                                                                          | The default value is -30 days from the current date. | 2020-06-18           | Filter loads by their pickup appointment range. The value denotes that the loads returned should have pickup appointments greater than or equal to the pickupStartDate. The maximum supported value is +/- 90 days from the current date.                                                                                                                                                                                                                                     |
| `pickupEndDate`     | Query      | Date in YYYY-MM-DD                                                                          | The default value is +90 days from the current date. | 2020-06-19           | Filter loads by their pickup appointment range. The value denotes that the loads returned should have pickup appointments less than or equal to the pickupEndDate. The maximum supported value is +/- 90 days from the current date.                                                                                                                                                                                                                                          |
| `deliveryStartDate` | Query      | Date in YYYY-MM-DD                                                                          | NA                                                   | 2020-06-18           | Filter loads by their delivery appointment range. The value denotes that the loads returned should have delivery appointments greater than or equal to the deliveryStartDate. It is always combined with a pickup appointment range. If we don’t pass on pickup appointment range along with deliveryStartDate, default values for pickup appointment range (pickupStartDate = -30 days from current date and pickupEndDate = +90 days from current date) will be considered. |
| `deliveryEndDate`   | Query      | Date in YYYY-MM-DD                                                                          | NA                                                   | 2020-06-19           | Filter loads by their delivery appointment range. The value denotes that the loads returned should have delivery appointments lesser than or equal to the deliveryEndDate. It is always combined with a pickup appointment range. If we don’t pass on pickup appointment range along with deliveryEndDate, default values for pickup appointment range  (pickupStartDate = -30 days from current date and pickupEndDate = +90 days from current date) will be considered.     |
| `shipTo`            | Query      | Pipe Delimited string array                                                                 | NA                                                   | customer1\|customer2 | Filter loads by the receiver associated with a load.                                                                                                                                                                                                                                                                                                                                                                                                                          |
| `pickupStopName`    | Query      | Pipe Delimited string array                                                                 | NA                                                   | stop1\|stop2         | Filter loads associated with a given list of pickup stops.                                                                                                                                                                                                                                                                                                                                                                                                                    |
| `terminalStopName`  | Query      | Pipe Delimited string array                                                                 | NA                                                   | stop1\|stop2         | Filter loads associated with a given list of terminal stops.                                                                                                                                                                                                                                                                                                                                                                                                                  |
| `deliveryStopName`  | Query      | Pipe Delimited string array                                                                 | NA                                                   | stop1\|stop2         | Filter loads associated with a given list of delivery stops.                                                                                                                                                                                                                                                                                                                                                                                                                  |
| `createdStartDate`  | Query      | Date in YYYY-MM-DD                                                                          | Valid range is -90 days in past.                     | 2022-01-01           | It will filter shipments with respect to created at timestamp. If invalid range is provided, timestamps will be reset and results as per -90 days to present date will be displayed.                                                                                                                                                                                                                                                                                          |
| `createdEndDate`    | Query      | Date in YYYY-MM-DD                                                                          | Valid range is -90 days in past.                     | 2022-04-30           | It will filter shipments with respect to created at timestamp. If invalid range is provided, timestamps will be reset and results as per -90 days to present date will be displayed.                                                                                                                                                                                                                                                                                          |
| `status`            | Query      | String Enum; Allowed values are `active`, `awaitingTrackingInfo`, `delivered` and `expired` | Returns loads of all statuses                        | active               | Filter loads of a given tracking status. If no value is given, loads for all statuses are returned.                                                                                                                                                                                                                                                                                                                                                                           |
| `loadNumber`        | Query      | String                                                                                      | NA                                                   | `2008604472`         | Load or Shipment Number. This is the same as what is shown in the FourKites Web Application                                                                                                                                                                                                                                                                                                                                                                                   |

## Response Attributes

### Shipment

| Name                        | Format                                                                                | Default | Description                                                                                                                                       |
| --------------------------- | ------------------------------------------------------------------------------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------- |
| `fourKitesShipmentID`       | String                                                                                | NA      | FourKites® unique identifier for a load.                                                                                                          |
| `loadNumber`                | String                                                                                | NA      | Load or Shipment Number. This is the same as what is shown in the FourKites® Web Application.                                                     |
| `priority`                  | String                                                                                | NA      | Indicates the priority level of the shipment. Possible values: normal, high, hot.                                                                 |
| `identifiers`               | [Identifiers](https://docs.fourkites.com/api-reference/get-shipment#Ph2ng)            | NA      | Identifiers of a load.                                                                                                                            |
| `latestLocation`            | [Location](https://docs.fourkites.com/api-reference/get-shipment#Pkd1f)               | NA      | The last known location of a load.                                                                                                                |
| `SCAC`                      | String                                                                                | NA      | Standard Carrier Alpha Code                                                                                                                       |
| `fourKitesETA`              | Timestamp in ISO8601/RFC3339 format with timezone.                                    | NA      | ETA to the last delivery stop.                                                                                                                    |
| `timeZone`                  | String, conforms to [IANA database ](https://www.iana.org/time-zones)                 | UTC     | The timezone associated with the last delivery stop.                                                                                              |
| `numberOfDeliveryStops`     | Integer                                                                               | NA      | Number of delivery stops without pickup/terminal stops.                                                                                           |
| `remainingDistanceInMeters` | Integer                                                                               | NA      | Remaining distance to the last delivery stop.                                                                                                     |
| `totalDistanceInMeters`     | Integer                                                                               | NA      | Total distance from pickup to last delivery stop.                                                                                                 |
| `stakeholders`              | [Stakeholders](https://docs.fourkites.com/api-reference/get-shipment#WufzF)           | NA      | The companies associated with a load.                                                                                                             |
| `status`                    | String; Allowed values are On Track, Delayed, At Facility, Completed and Not Tracking | NA      | Tracking Status of a load.                                                                                                                        |
| `postalCode`                | String                                                                                | NA      | The postal code of the stop address.                                                                                                              |
| `bookingNumber`             | String                                                                                | NA      | Booking Number is the identifier issued by the carrier or shipping line to confirm a reserved shipment or container space.                        |
| `billOfLading`              | String                                                                                | NA      | Bill of Lading is the identifier for the legal document issued by the carrier that acknowledges receipt of cargo and serves as a shipment record. |

### Identifiers

| Name                   | Format       | Default | Description                                                                                                |
| ---------------------- | ------------ | ------- | ---------------------------------------------------------------------------------------------------------- |
| `consignmentNumber`    | String       | NA      | consignment Number is a load identifier that denotes which consignment it belongs to.                      |
| `consignmentSequence`  | Integer      | NA      | consignment Sequence is a load identifier specific to consignment loads that denotes the order of delivery |
| `proNumber`            | String       | NA      | proNumber is a load Identifier for LTL loads.                                                              |
| `purchaseOrderNumbers` | String Array | NA      | A list of purchase orders that the load belongs to.                                                        |
| `referenceNumbers`     | String Array | NA      | A list of customer given reference Numbers that the load belongs to.                                       |

### Location

| Name          | Format                                             | Default | Description                                             |
| ------------- | -------------------------------------------------- | ------- | ------------------------------------------------------- |
| `latitude`    | Float                                              | NA      | Latitude of the location the load was last found at.    |
| `longitude`   | Float                                              | NA      | Longitude of the location the load was last found at.   |
| `name`        | String                                             | NA      | Location Name as given by the tracking provider.        |
| `updatedTime` | Timestamp in ISO8601/RFC3339 format with timezone. | NA      | The timestamp of the associated location.               |
| `timeZone`    | String, conforms to                                | NA      | The local timezone associated with the latest location. |

### Stakeholders

| Name                  | Format | Default | Description                                        |
| --------------------- | ------ | ------- | -------------------------------------------------- |
| `shipper`             | String | NA      | Name of the shipper.                               |
| `thirdPartyLogistics` | String | NA      | Name of the 3PL associated with the load.          |
| `carrier`             | String | NA      | Name of the carrier that is transporting the load. |

### Stop

| Name                                                                                                                                                                                                                                                                  | Format                                                                   | Default | Description                                                                                                                                                                         |
| --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------ | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `fourKitesStopID`                                                                                                                                                                                                                                                     | String                                                                   | NA      | FourKites® unique identifier for a stop of a load.                                                                                                                                  |
| `stopName`                                                                                                                                                                                                                                                            | String                                                                   | NA      | Name of the stop as given during load creation.                                                                                                                                     |
| `city`                                                                                                                                                                                                                                                                | String                                                                   | NA      | City of the stop.                                                                                                                                                                   |
| `state`                                                                                                                                                                                                                                                               | String                                                                   | NA      | State of the stop.                                                                                                                                                                  |
| `country`                                                                                                                                                                                                                                                             | String                                                                   | NA      | Country of the stop.                                                                                                                                                                |
| `externalAddressID`                                                                                                                                                                                                                                                   | String                                                                   | NA      | It is the unique identifier of the address in FourKites. This ID is sent in place of address information.                                                                           |
| `latitude`                                                                                                                                                                                                                                                            | Float                                                                    | NA      | Latitude of the stop.                                                                                                                                                               |
| `longitude`                                                                                                                                                                                                                                                           | Float                                                                    | NA      | Longitude of the stop.                                                                                                                                                              |
| `schedule`                                                                                                                                                                                                                                                            | [Schedule](https://docs.fourkites.com/api-reference/get-shipment#asTxi)  | NA      | The time schedule of the load for the given stop.                                                                                                                                   |
| `timeZone`                                                                                                                                                                                                                                                            | String, conforms to [IANA database ](https://www.iana.org/time-zones)    | UTC     | The local timezone associated with the stop’s location.                                                                                                                             |
| `sequence`                                                                                                                                                                                                                                                            | Integer                                                                  | NA      | The sequence of the stops as given during load creation.                                                                                                                            |
| `status`                                                                                                                                                                                                                                                              | String                                                                   | NA      | The tracking status to the stop.                                                                                                                                                    |
| `customer`                                                                                                                                                                                                                                                            | [Customer](https://docs.fourkites.com/api-reference/get-shipment#ntt_H)  | NA      | The Customer to which the load is delivered to.                                                                                                                                     |
| `stopType`                                                                                                                                                                                                                                                            | [Stop Type](https://docs.fourkites.com/api-reference/get-shipment#opIjm) | NA      | The action performed at the stop. The action is mode-specific.                                                                                                                      |
| `arrivalTime`                                                                                                                                                                                                                                                         | Timestamp in ISO8601/RFC3339 format with timezone.                       | NA      | The latest arrival time at the stop.                                                                                                                                                |
| `departureTime`                                                                                                                                                                                                                                                       | Timestamp in ISO8601/RFC3339 format with timezone.                       | NA      | The latest departure time at the stop.                                                                                                                                              |
[...]
